# Uses of Interface
writer2latex.api.BatchHandler

Packages that use BatchHandler
Package
Description
org.openoffice.da.comp.writer2xhtml
writer2latex
writer2latex.api
writer2latex.base

## Uses of BatchHandler in org.openoffice.da.comp.writer2xhtml

Classes in org.openoffice.da.comp.writer2xhtml that implement BatchHandler
Modifier and Type
Class
Description
`class`
`BatchHandlerAdapter`
The uno interface provides an XBatchHandler implementation, the java interface requires a BatchHandler implementation.

## Uses of BatchHandler in writer2latex

Classes in writer2latex that implement BatchHandler
Modifier and Type
Class
Description
`class`
`BatchHandlerImpl`
This class implements a `BatchHandler` for command line usage

## Uses of BatchHandler in writer2latex.api

Methods in writer2latex.api with parameters of type BatchHandler
Modifier and Type
Method
Description
`void`
BatchConverter.`convert(File source, File target, boolean bRecurse, BatchHandler handler)`
Convert a directory using the given `Converter` (if none is given, all files will be ignored).

## Uses of BatchHandler in writer2latex.base

Methods in writer2latex.base with parameters of type BatchHandler
Modifier and Type
Method
Description
`void`
BatchConverterBase.`convert(File source, File target, boolean bRecurse, BatchHandler handler)`